Package org.drinkless.tdlib

# Class TdApi.PremiumFeatureLastSeenTimes

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PremiumFeature
org.drinkless.tdlib.TdApi.PremiumFeatureLastSeenTimes

Enclosing class:
  TdApi

public static class TdApi.PremiumFeatureLastSeenTimes extends TdApi.PremiumFeature
The ability to view last seen and read times of other users even they can't view last seen or read time for the current user.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PremiumFeature

  `TdApi.PremiumFeature.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PremiumFeatureLastSeenTimes()`
  The ability to view last seen and read times of other users even they can't view last seen or read time for the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PremiumFeatureLastSeenTimes

    public PremiumFeatureLastSeenTimes()
    The ability to view last seen and read times of other users even they can't view last seen or read time for the current user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PremiumFeature`
    Returns:
      this.CONSTRUCTOR